Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Drop support for Python 2.6 #878

Closed
jaraco opened this issue Dec 9, 2016 · 5 comments
Closed

Drop support for Python 2.6 #878

jaraco opened this issue Dec 9, 2016 · 5 comments

Comments

@jaraco
Copy link
Member

@jaraco jaraco commented Dec 9, 2016

As pip has dropped support for Python 2.6, setuptools should do so as well.

@jaraco jaraco closed this in 1376909 Dec 9, 2016
@xavfernandez
Copy link
Member

@xavfernandez xavfernandez commented Dec 9, 2016

Erm, pip will drop 2.6 support in pip 10, i.e. in >=6 months.
pip will likely have a 9.1 release in between, with support for 2.6 ⭕️

cf pypa/pip#3955

@jaraco
Copy link
Member Author

@jaraco jaraco commented Dec 9, 2016

Oh my. Okay. I was confused. I'll shelve this change for later then.

@jaraco jaraco reopened this Dec 9, 2016
@jaraco
Copy link
Member Author

@jaraco jaraco commented Dec 10, 2016

I've moved the commits to the drop-py26 branch, to be merged at an appropriate time.

@ScoreUnder
Copy link

@ScoreUnder ScoreUnder commented Jun 28, 2018

What was the last version with Python 2.6 support?

Found it in the changelog: 36.8.0 and/or setuptools < 37dev

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
3 participants